.white_text p {
  color: white !important;
}
.nf-form-fields-required {
  display: none;
}
input.nf-element {
  padding: 10px;
}
::-webkit-scrollbar {
  width: 10px;
}
::-webkit-scrollbar-track {
  background: #f1f1f1;
}
::-webkit-scrollbar-thumb {
  background: #172A52;
}
::-webkit-scrollbar-thumb:hover {
  background: rgba(23, 42, 82, 0.5);
}
@media only screen and (max-width: 768px) {
  div#theme-page {
    -webkit-overflow-scrolling: touch !important;
    overflow-y: scroll !important;
    overflow-x: hidden !important;
  }
  ::-webkit-scrollbar {
    display: none;
  }
  body, html {
    width: 100% !important;
    height: 100% !important;
    overflow-x: hidden !important;
    overflow-y: scroll !important;
    -webkit-overflow-scrolling: touch;
  }
  body::-webkit-scrollbar, html::-webkit-scrollbar {
    display: none;
  }
}
.container-fluid {
  padding: 0 !important;
  overflow: hidden !important;
}
html.has-scroll-smooth {
  margin-top: 0 !important;
}
.progress {
  display: none;
}
button.btn.btn-success.fileinput-button {
  width: 100%;
}
.jupiterx-main-content {
  padding: 0 !important;
}
#project_anchor {
  transition: all 0.5s ease-in-out;
  opacity: 1;
}
#project_anchor.hide {
  opacity: 0;
  transition-delay: 1s;
  transition: all 0.5s ease-in-out;
}
#project_anchor.hideheader {
  opacity: 0;
  transition-delay: 0s;
  transition: all 0.5s ease-in-out;
}
#project_anchor.stick {
  transition: all 1s ease-in-out;
  position: fixed;
  bottom: -30px;
  right: -26px;
}
/* popup*/
.jupiterx-popup__close-button:hover {
  transform: rotate(90deg);
  transition: all 0.7s ease-in-out;
}
.jupiterx-popup__container-content .nf-field-label .nf-label-span, .jupiterx-popup__container-content .nf-field-label label {
  color: var(--Texte-Gris, #9DA1A7);
  font-family: "neue-haas-grotesk-display";
  font-size: var(--sds-typography-body-size-medium);
  font-style: normal;
  font-weight: 450;
  line-height: 140%;
  /* 22.4px */
}
.jupiterx-popup__container-content .files_uploaded {
  color: white;
  position: absolute;
  top: 19px;
  left: 55px;
}
.jupiterx-popup__container-content input, .jupiterx-popup__container-content textarea {
  background: rgba(126, 211, 241, 0.06);
  border-radius: 8px;
  padding: 16px 20px;
  border: 0;
  min-height: 50px;
  color: white;
}
.jupiterx-popup__container-content textarea {
  height: 100px !important;
  height: 100px;
}
.jupiterx-popup__container-content .nf-fu-progress {
  display: none;
}
.jupiterx-popup__container-content div#nf-field-20-wrap .nf-field-element {
  background: rgba(126, 211, 241, 0.06);
  border-radius: 8px;
  padding: 16px 20px;
  border: 0;
  max-height: 50px;
}
.jupiterx-popup__container-content button.btn.ninja-forms-field.nf-element.btn-success.nf-fu-fileinput-button {
  background: url(https://b3impressiostg.wpenginepowered.com/wp-content/uploads/2025/08/Vector-21.svg);
  background-repeat: no-repeat;
  border: 0;
  height: 20px;
  background-position: center;
  outline: none !important;
}
.jupiterx-popup__container-content input#nf-field-4 {
  padding: 16px 21px;
  background: #7ED3F1;
  border-radius: 66px;
  min-width: 144px;
  color: black;
}
.elementor-element.elementor-element-3fae929.e-flex.e-con-boxed.e-con.e-parent.e-lazyloaded .e-con-inner {
  padding: 0 !important;
}
/*************************************** header Section ***************************************/
.header_anim.elementor-widget.elementor-widget-html {
  position: absolute;
  width: 50%;
  right: 0;
}
@media (min-width: 2000px) {
  .header_anim.elementor-widget.elementor-widget-html {
    position: absolute;
    width: 40%;
    bottom: -81px;
    right: -113px;
  }
}
@media (min-width: 900px) and (max-width: 1500px) {
  .header_anim.elementor-widget.elementor-widget-html {
    position: absolute;
    width: 79%;
    right: -117px !important;
    bottom: -51px;
  }
}
@media (max-width: 700px) {
  .header_anim.elementor-widget.elementor-widget-html {
    position: absolute;
    width: 80%;
    bottom: -2px;
    right: -100px;
  }
}
.header_img {
  overflow: hidden !important;
  height: 0;
  max-height: 0px !important;
  transition: max-height 1s ease-in-out !important;
  transform-origin: top !important;
}
.header_img.animated {
  max-height: 590px !important;
}
.header_h1 {
  overflow: hidden;
}
.header_h1 h1 span {
  display: inline-block;
  opacity: 0;
  animation: fadeInUpText 0.3s ease-in-out forwards;
}
.header_h1 h1 span:nth-child(1) {
  animation-delay: 2s;
}
.header_h1 h1 span:nth-child(3) {
  animation-delay: 2.02s;
}
.header_h1 h1 span:nth-child(5) {
  animation-delay: 2.05s;
}
@keyframes fadeInUpText {
  0% {
    opacity: 0;
    transform: translateY(60px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}
.header_sub {
  overflow: hidden;
}
.header_sub p {
  opacity: 0;
  animation: fadeIn 0.5s ease-in-out forwards;
  animation-delay: 2.5s;
}
a.raven-menu-item.raven-link-item {
  transition: all 0.5s ease-in-out;
  border-radius: 30px;
}
a.raven-menu-item.raven-link-item:hover {
  background: #7ED3F1;
  border-radius: 30px;
  color: #172A52 !important;
}
@keyframes fadeInUp {
  0% {
    transform: translate(0px, 100px);
    opacity: 0;
  }
  100% {
    transform: translate(0px, 0);
    opacity: 1;
  }
}
@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
/*************************************** header Section ***************************************/
/*************************************** Project Section ***************************************/
section.projects_block {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
}
section.projects_block .wrapper-div {
  width: calc(30% - 20px);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 20px;
}
section.projects_block .item {
  border-radius: 33px;
  min-height: calc(50% - 10px);
  background-size: cover;
  background-position: center;
  display: flex;
  justify-content: flex-start;
  align-items: end;
  overflow: hidden;
}
section.projects_block .item:hover .pill_holder {
  animation: projectHover 0.4s ease-in-out;
  transform-origin: bottom;
}
section.projects_block .item:not(:hover) .pill_holder {
  animation: projectUnhover 0.4s ease-in-out forwards;
  transform-origin: bottom;
}
section.projects_block .item.big {
  width: 70%;
  min-height: 80vh;
}
@media (min-width: 768px) and (max-width: 1200px) {
  section.projects_block .item.big {
    min-height: calc(60vh - 50px);
  }
}
section.projects_block .item .pill_holder {
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  width: 100%;
  gap: 5px;
  padding: 20px;
  background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.44) 100%);
  border-radius: 33px;
}
section.projects_block .item .pill_holder span.pill {
  padding: 8px 12px;
  border-radius: 33px;
  width: fit-content;
  color: #F6F6F9;
  font-family: "neue-haas-grotesk-display", Sans-serif;
  font-size: 16px;
  line-height: 14px;
  height: 30px;
  font-style: normal;
  font-weight: 400;
}
section.projects_block .item .pill_holder span.pill.projectname {
  background: #7ED3F1;
  color: #172A52;
}
section.projects_block .item .pill_holder span.pill.category {
  background: #172A52;
}
/* project hover animation */
@keyframes projectHover {
  from {
    transform: translate(0, 80px);
    opacity: 0;
  }
  to {
    transform: translate(0, 0);
    opacity: 1;
  }
}
@keyframes projectUnhover {
  from {
    transform: translate(0, 0);
    opacity: 1;
  }
  to {
    transform: translate(0, 80px);
    opacity: 0;
  }
}
/*************************************** Project Section ***************************************/
/***************************************  Service Section ***************************************/
.icon_box_holder {
  align-items: stretch;
}
.icon_box_holder .icon_box {
  width: 33.3%;
  flex: 1;
  transition: all 1s ease-in-out;
}
.icon_box_holder .icon_box svg {
  transition: transform 0.5s ease-in-out;
}
.icon_box_holder .icon_box:hover {
  background-color: white;
}
.icon_box_holder .icon_box:hover .elementor-widget-icon:not(.noanim) svg {
  transform: rotateZ(90deg);
}
/*************************************** Service Section ***************************************/
.icon_container ul.elementor-icon-list-items.elementor-inline-items {
  display: flex;
  justify-content: start;
  row-gap: 40px;
  column-gap: 51px;
}
.icon_container ul.elementor-icon-list-items.elementor-inline-items li.elementor-icon-list-item.elementor-inline-item {
  width: calc(100% / 3 - 50px);
}
.icon_container ul.elementor-icon-list-items.elementor-inline-items li.elementor-icon-list-item.elementor-inline-item span.elementor-icon-list-text {
  max-width: 80%;
}
/*************************************** Slider Section ***************************************/
section.projects_carousel {
  height: 80vh;
}
section.projects_carousel .item {
  height: 100%;
  background-size: cover !important;
  background-position: center;
  background: rgba(0, 0, 0, 0.7);
  padding: 100px 50px;
}
section.projects_carousel .item .pill_holder {
  display: flex;
  flex-direction: row;
  width: 100%;
  gap: 5px;
  margin-top: 60px;
}
section.projects_carousel .item .pill_holder span.pill {
  padding: 8px 12px;
  border-radius: 33px;
  width: fit-content;
  color: #F6F6F9;
  font-family: "neue-haas-grotesk-display", Sans-serif;
  font-size: 16px;
  line-height: 14px;
  height: 30px;
  font-style: normal;
  font-weight: 400;
}
section.projects_carousel .item .pill_holder span.pill.companyname {
  background: #172A52;
}
section.projects_carousel .item .pill_holder span.pill.category {
  background: white;
  color: #15263D;
}
section.projects_carousel.owl-loaded.owl-drag::before {
  content: "Nous voir en action";
  position: absolute;
  z-index: 99;
  color: #FFF;
  font-size: 48px;
  font-style: normal;
  font-weight: 450;
  line-height: 108%;
  font-family: "neue-haas-grotesk-display", Sans-serif;
  top: 100px;
  left: 50px;
}
.owl-nav {
  position: absolute;
  top: 50%;
  left: 50%;
  margin: auto;
  transform: translate(-50%, -50%);
  width: 95%;
}
.owl-nav button.owl-prev, .owl-nav button.owl-next {
  -webkit-appearance: none !important;
  background: transparent;
  outline: none !important;
  border: 0;
  background-image: url(https://b3impressiostg.wpenginepowered.com/wp-content/uploads/2025/08/Group-12.svg);
  height: 50px;
  width: 50px;
  background-size: contain;
  cursor: pointer;
}
.owl-nav button.owl-prev span, .owl-nav button.owl-next span {
  display: none !important;
}
.owl-nav button.owl-next {
  right: 0;
  position: absolute;
  transform: rotate(180deg);
}
.owl-stage {
  display: flex !important;
}
.owl-stage-outer {
  height: 100% !important;
}
.owl-stage {
  height: 100% !important;
}
.owl-item {
  min-height: 60vh !important;
}
.owl-dots {
  display: none !important;
}
/*************************************** Slider Section ***************************************/
/***************************************Animate button***************************************/
g#text {
  --_a: rotate 12s linear infinite;
  --_b: rotate 22s linear infinite;
  animation: var(--_a), var(--_b) paused;
  animation-composition: add;
  transform-origin: center;
  transform-box: fill-box;
}
g#arrow {
  transition: all 0.5s ease-in-out;
  transform-origin: center;
}
#project_anchor svg:hover {
  cursor: pointer;
}
#project_anchor svg:hover #text {
  animation-play-state: running;
}
#project_anchor svg:hover #arrow {
  transform: scale(1.1);
}
@keyframes rotate {
  to {
    rotate: 1turn;
  }
}
@keyframes buttonRotate {
  from {
    transform: rotateZ(0deg);
  }
  to {
    transform: rotateZ(360deg);
  }
}
@media (max-width: 769px) {
  .icon_container ul.elementor-icon-list-items.elementor-inline-items li.elementor-icon-list-item.elementor-inline-item {
    width: 100%;
  }
  .icon_box.e-flex.e-con.e-child {
    width: 100%;
  }
  section.projects_block .item:nth-child(5n+1) {
    width: 100% !important;
  }
  section.projects_carousel::before {
    font-size: 33px !important;
    top: 50px !important;
  }
  section.projects_carousel.owl-loaded.owl-drag {
    height: 50vh;
  }
  section.projects_carousel.owl-loaded.owl-drag .item {
    padding: 50px !important;
  }
  .elementor-153 .elementor-element.elementor-element-c42ce3b .elementor-button {
    font-size: 13px;
    padding: 12px 13px 12px 13px;
  }
}
@media (max-width: 850px) {
  section.projects_block {
    flex-direction: column !important;
  }
  .pill_holder {
    transform: translate(0, 0) !important;
    opacity: 1 !important;
  }
  section.projects_block .item.big {
    width: 100% !important;
    min-height: 280px !important;
  }
  section.projects_block .wrapper-div {
    width: 100% !important;
    flex-direction: row !important;
    justify-content: center !important;
    flex-wrap: wrap;
  }
  section.projects_block .item {
    width: 100% !important;
    height: 280px !important;
  }
}
@media (min-width: 1024px) {
  .elementor-element.elementor-element-74fe86c.e-con-full.icon_box_holder.e-flex.e-con.e-child {
    flex-wrap: wrap !important;
    flex-direction: row;
  }
  .icon_box {
    width: 33.3% !important;
  }
}
